:: (c) 2003-2007 Electronic Arts Inc.
@echo off
if "%2"=="" goto help
set NAME1=%1
set NAME=%NAME1:"=%
echo name %NAME% date %2
gs.exe -v2 "-s'TextVersion*(*) *.*.*'" *.cpp >rsp
p4 -x rsp edit
gsr -v3 -wild2 "-s'TextVersion*(*) *.*.*\"'"  "-r'TextVersion*(%NAME%) %2\"'" *.cpp @rsp
goto done
:help
echo nameit [name] [date]
echo example: nameit Hakone 2004.9.25
:done

